Subject: Re: [BUG] Highly inconsistent diff UI

From: Jonathan Nieder <[email-masked]>
Date: Thu, 25 Apr 2013 16:21:45 -0700

Ramkumar Ramachandra wrote:

> I thought ^@ was invented for scripting, but can't imagine a usecase for ^!.

I use "git diff $commit^!" from time to time to get the diff between a
merge and its first parent.

For comparison, I haven't found ^@ or "git log $commit^!" useful.  The
commit introducing the former says

| I needed it to do the multi-tree diff on Len's infamous 12-way
| Octopus; typing "diff --cc funmerge funmerge^1 funmerge^2 funmerge^3
| ..." was too painful.

which is spelled as "git show --cc funmerge" these days.